Skip to content
English

Update mailing list

PATCH
/domains/{domainID}/mlists/{ID}
curl --request PATCH \
--url https://example.com/api/v1/domains/1/mlists/1 \
--header 'Content-Type: application/json' \
--cookie grommunioAuthJwt=<grommunioAuthJwt> \
--data '{ "listname": "example", "listType": 0, "listPrivilege": 0, "associations": [ "example" ], "specifieds": [ "example" ], "displayName": "example", "hidden": 1 }'
domainID
required
integer

ID of the domain

ID
required
integer

ID of the object

X-Csrf-Token
string

CSRF Token

Media typeapplication/json
object
listname

Name or e-mail address of the list

string
listType

Type of mailing list (0=Normal, 2=Domain)

integer
Allowed values: 0 2
listPrivilege

Sender privilege of list (0=All, 1=Internal, 2=Domain, 3=Specific, 4=Outgoing)

integer
Allowed values: 0 1 2 3 4
associations

Recipients, only available if listType=0

Array<string>
specifieds

Senders, only available if listPrivilege=3

Array<string>
displayName

Display name property of the associated user object

string
hidden

Attributehidde_gromox property of the associated user object

integer

Mailing list updated

Media typeapplication/json
object
ID

Unique ID of the object

integer
listname

Name or e-mail address of the list

string
listType

Type of mailing list (0=Normal, 2=Domain)

integer
Allowed values: 0 1 2 3
listPrivilege

Sender privilege of list (0=All, 1=Internal, 2=Domain, 3=Specific, 4=Outgoing)

integer
Allowed values: 0 1 2 3 4
associations

Recipients, only available if listType=0

Array<string>
specifieds

Senders, only available if listPrivilege=3

Array<string>
displayName

Display name property of the associated user object

string
hidden

Attributehidde_gromox property of the associated user object

integer
user

ID of the associated user

integer
Example
{
"listType": 0,
"listPrivilege": 0
}

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}